Quarantine up to 100 tests
curl --request POST \
--url https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testIds": [
"<string>"
],
"note": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"assignee": "<string>"
}
'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk"
payload = {
"testIds": ["<string>"],
"note": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"assignee": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
testIds: ['<string>'],
note: '<string>',
expiresAt: '2023-11-07T05:31:56Z',
assignee: '<string>'
})
};
fetch('https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'testIds' => [
'<string>'
],
'note' => '<string>',
'expiresAt' => '2023-11-07T05:31:56Z',
'assignee' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk"
payload := strings.NewReader("{\n \"testIds\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\",\n \"assignee\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"testIds\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\",\n \"assignee\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"testIds\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\",\n \"assignee\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"created": [
{
"id": "<string>",
"projectId": "<string>",
"testId": "<string>",
"logicalId": "<string>",
"title": "<string>",
"titlePath": [
"<string>"
],
"filePath": "<string>",
"ownerUserId": "<string>",
"note": "<string>",
"issueKey": "<string>",
"issueUrl": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"state": "active",
"releasedAt": "2023-11-07T05:31:56Z",
"releaseReason": "manual",
"releasedBy": "<string>",
"passStreak": 123,
"lastSeenAt": "2023-11-07T05:31:56Z",
"version": 123,
"errorTemplate": "<string>"
}
],
"skipped": [
{
"testId": "<string>",
"reason": "not_found",
"quarantineId": "<string>"
}
]
},
"budget": {
"used": 123,
"allowed": 123,
"capPct": 123,
"activeTests": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests"
}
}Quarantine tests in bulk
Quarantine up to 100 tests with 1 end date, assignee, and note. Requires a writer-role PAT.
POST
/
{projectId}
/
quarantines
/
bulk
Quarantine up to 100 tests
curl --request POST \
--url https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testIds": [
"<string>"
],
"note": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"assignee": "<string>"
}
'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk"
payload = {
"testIds": ["<string>"],
"note": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"assignee": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
testIds: ['<string>'],
note: '<string>',
expiresAt: '2023-11-07T05:31:56Z',
assignee: '<string>'
})
};
fetch('https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'testIds' => [
'<string>'
],
'note' => '<string>',
'expiresAt' => '2023-11-07T05:31:56Z',
'assignee' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk"
payload := strings.NewReader("{\n \"testIds\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\",\n \"assignee\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"testIds\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\",\n \"assignee\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/quarantines/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"testIds\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\",\n \"assignee\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"created": [
{
"id": "<string>",
"projectId": "<string>",
"testId": "<string>",
"logicalId": "<string>",
"title": "<string>",
"titlePath": [
"<string>"
],
"filePath": "<string>",
"ownerUserId": "<string>",
"note": "<string>",
"issueKey": "<string>",
"issueUrl": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"state": "active",
"releasedAt": "2023-11-07T05:31:56Z",
"releaseReason": "manual",
"releasedBy": "<string>",
"passStreak": 123,
"lastSeenAt": "2023-11-07T05:31:56Z",
"version": 123,
"errorTemplate": "<string>"
}
],
"skipped": [
{
"testId": "<string>",
"reason": "not_found",
"quarantineId": "<string>"
}
]
},
"budget": {
"used": 123,
"allowed": 123,
"capPct": 123,
"activeTests": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests"
}
}Authorizations
User PAT (td_pat_) scoped to the target project
Path Parameters
The project identifier (e.g. project_abc123). Must match the project associated with your PAT.
Body
application/json
Required array length:
1 - 100 elementsMaximum string length:
128Required string length:
1 - 1000Default: the project's default duration.
me, a user id, or a teammate's email. Default: you.
Maximum string length:
254Last modified on November 4, 2026
Was this page helpful?
⌘I